# - Config file for Dyninst and its component libraries
# It defines the following variables:
#
# DYNINST_INCLUDE_DIRS
# DYNINST_LIBRARIES
# DYNINST_INTERNAL_DEFINES - used by the test suite

# compute paths

get_filename_component(DYNINST_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
set (DYNINST_INCLUDE_DIR ${DYNINST_CMAKE_DIR}/../../../include/dyninst)

# Library dependencies
include ("${DYNINST_CMAKE_DIR}/DyninstTargets.cmake")

set (DYNINST_LIBRARIES "dyninst")

# Other variables Dyninst mutators may depend on
set (DYNINST_PLATFORM "ppc32_linux")
set (DYNINST_INTERNAL_DEFINES -Dcap_dynamic_heap;-Dcap_liveness;-Dcap_threads;-Dcap_registers;-Dcap_async_events;-Dcap_binary_rewriter;-Dcap_dwarf;-Dcap_mutatee_traps;-Dcap_ptrace;-Dcap_thread_db;-Dbug_syscall_changepc_rewind;-Dbug_force_terminate_failure;-Dbug_registers_after_exit;-Darch_power;-Dos_linux;-Dppc32_linux)
